{"openapi":"3.0.0","servers":[{"description":"Staging","url":"https://erp-6si.studio-hb.fr/api/appymakers/v1"},{"description":"Production","url":"https://www.6emesenscommercialisation.fr/api/appymakers/v1"}],"info":{"version":"1.0.0","title":"6SI Appymakers API","description":"Documentation pour l'API de 6SI pour la passerelle avec AppyMakers. Cette API vous permettra de récupérer les stats par opération ainsi que les grilles de lot par opération"},"paths":{"/operations":{"get":{"tags":["operation"],"description":"Retourne toutes les stats des opérations","parameters":[{"in":"query","name":"by_ended","required":false,"description":"Permet de filtrer les opérations si elles sont terminées (true), ou en cours (false). Si le paramètre n'est pas présent ou vide, toutes les opérations sont remontées","schema":{"type":"boolean"}}],"responses":{"200":{"description":"Statistiques de toutes les opérations","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Operations"}}}}}}},"/operations/{id}":{"get":{"tags":["operation"],"description":"Retourne toutes les stats de l'opération passée en paramètre","parameters":[{"in":"path","name":"id","required":true,"description":"ID de l'opération","schema":{"type":"integer"}}],"responses":{"404":{"description":"Opération non reconnu"},"200":{"description":"Statistiques de l'opération","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Operation"}}}}}}},"/operations/{id}/lots":{"get":{"tags":["operation"],"description":"Retourne tous les lots de l'opération passée en paramètre","parameters":[{"in":"path","name":"id","required":true,"description":"ID de l'opération","schema":{"type":"integer"}}],"responses":{"404":{"description":"Opération non reconnu"},"200":{"description":"Tous les lots de l'operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Lots"}}}}}}}},"security":[{"BasicAuth":[]}],"components":{"securitySchemes":{"BasicAuth":{"type":"http","scheme":"basic"}},"schemas":{"Operations":{"type":"array","items":{"$ref":"#/components/schemas/Operation"}},"Operation":{"type":"object","properties":{"id":{"type":"integer"},"title":{"type":"string"},"ended":{"type":"boolean"},"free":{"$ref":"#/components/schemas/Stat"},"optioned":{"$ref":"#/components/schemas/Stat"},"reserved":{"$ref":"#/components/schemas/Stat"},"acted":{"$ref":"#/components/schemas/Stat"},"programs":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"title":{"type":"string"},"marketing_date":{"type":"string","format":"date"}}}}},"description":"ok"},"Stat":{"type":"object","properties":{"nb":{"type":"integer"},"ht_price":{"type":"number","format":"float"},"ttc_price":{"type":"number","format":"float"},"area":{"type":"number","format":"float"},"price_leased":{"type":"number","format":"float"},"area_leased":{"type":"number","format":"float"},"nb_leased":{"type":"integer"}}},"Lots":{"type":"array","items":{"$ref":"#/components/schemas/Lot"}},"Lot":{"type":"object","properties":{"id":{"type":"integer"},"primary_lot_id":{"type":"integer"},"ident":{"type":"string"},"room_count":{"type":"string"},"destination":{"type":"string"},"nature":{"type":"string"},"prix_ht":{"type":"number","format":"float"},"prix_ttc":{"type":"number","format":"float"},"prix_total_ht":{"type":"number","format":"float"},"prix_total_ttc":{"type":"number","format":"float"},"surface":{"type":"number","format":"float"},"reservation_prix_ht":{"type":"number","format":"float"},"reservation_prix_ttc":{"type":"number","format":"float"},"reservation_prix_total_ht":{"type":"number","format":"float"},"reservation_prix_total_ttc":{"type":"number","format":"float"},"reservation_reserved_at":{"type":"string","format":"date"},"reservation_acted_at":{"type":"string","format":"date"},"state":{"type":"string"},"rental_status":{"type":"string"}}}}}}